Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15149

Description

The linux qgis nightly-build offered @ http://qgis.org/debian-nightly is built using a 2-years-old version of gdal (1.7.3). Long story short, it

results is misaligned on-the-fly reprojected layers (see screenshot qgis-linux-displacement-error.jpg). The problem puzzled me for a short

while as I'm mostly developing projects on a windows qgis nightly-build version that didn't show this symptom as the build is using the

latest gdal version.

It's rather a big issue that CRSs are projected differently (ie wrongly in one case) when moving from a windows to a linux machine using

the same qgis version.

While I understand the need to insure qgis builds with default system libraries of targeted linux systems, could there be an arrangement

(maybe a different build?) that features the latest version of the various libraries qgis uses to bring the linux build at par with windows?

History

#1 - 2012-05-10 06:29 AM - Jürgen Fischer

- Status changed from Open to Rejected

- Resolution set to invalid

The nightly builds are using the gdal version of the target distributions and are mainly to test if qgis builds against a variety of different versions. 

Maintaining own builds of GDAL is out of scope.

#2 - 2012-05-10 06:35 AM - leonardo andres hardtke

+ 1 ! 

It would be good to have a qgis nightly version, built against the ubuntugis-unstable gdal version (1.9.0).

Thanks

#3 - 2012-05-10 06:45 AM - Mathieu Pellerin - nIRV

The way I raised the issue might have been poorly worded, but it'd be nice for the underlying issue not to be rejected that fast :) I understand linux

distributions like ubuntu still using gdal 1.7.3 are mainly to blame here, but still...

Isn't there some sort of an arrangement that could be set up allowing for a qgis linux build featuring up-to-date libraries like windows? Or is there no other

option but to push very hard for distribution to be more active in upgrading libraries?
http://qgis.org/debian-nightly


#4 - 2012-05-14 10:54 AM - leonardo andres hardtke

Nice! I found:

Precise:

deb     http://qgis.org/ubuntugis-nightly precise main

deb-src http://qgis.org/ubuntugis-nightly precise main

deb     http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu precise main

Is it new? Or I just had not noticed it before?

Thanks

#5 - 2012-05-14 11:00 AM - Giovanni Manghi

leonardo andres hardtke wrote:

Nice! I found:

Precise:

deb     http://qgis.org/ubuntugis-nightly precise main

deb-src http://qgis.org/ubuntugis-nightly precise main

deb     http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu precise main

Is it new? Or I just had not noticed it before?

Thanks

they are not new, but there is still no qgis package in ubuntugis/precise

https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable?field.series_filter=precise

#6 - 2012-05-14 11:10 AM - Jürgen Fischer

Giovanni Manghi wrote:

they are not new, but there is still no qgis package in ubuntugis/precise

https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable?field.series_filter=precise

But the nightly builds with ubuntugis are new: 2.6.3.2 ubuntugis

#7 - 2012-05-14 11:14 AM - leonardo andres hardtke

leonardo andres hardtke wrote:

Nice! I found:

Precise:

deb     http://qgis.org/ubuntugis-nightly precise main
deb-src http://qgis.org/ubuntugis-nightly precise main

deb     http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu precise main

Is it new? Or I just had not noticed it before?

Thanks

Installed and Working good! Many thanks!

#8 - 2012-05-14 07:02 PM - Mathieu Pellerin - nIRV

I've confirmed that using a linux qgis build with gdal 1.9 fixes the displacement issue which was raised while filing this issue.

I'd actually change the resolution from invalid to fixed as there is now an infrastructure that provides qgis builds using latest libs both for debian and

ubuntu.

Thanks to all involved, glad the issue was taken seriously after all :o)

#9 - 2012-05-16 05:17 AM - leonardo andres hardtke

Hi there...

I found something strange...

apt-rdepends qgis | grep libgdal

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Depends: libgdal1-1.7.0

libgdal1-1.7.0

Depends: libgdal1-1.7.0

Depends: libgdal1-1.7.0

is this right? Should not qgis depend on the version 1.9 (libgdal1 (1.9.0-2~precise1))?

The same happens with grass package from ubuntugis...

apt-rdepends grass | grep libgdal

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Depends: libgdal1-1.7.0

I opened a ticket (http://trac.osgeo.org/ubuntugis/ticket/22), but no answers yet...

is this wrong, or am I missing something?

Leonardo

P.S: sorry about my english!
#10 - 2012-05-16 09:15 AM - leonardo andres hardtke

I got an answer form the ubuntugis people...

owner changed from ubuntu@… to jlarouche

status changed from new to assigned

You're right, I can confirm that it's still using libgdal1-1.7.0.

I guess it's all part of the same problem
